# Contributing Guidelines

## How to contribute

If you would like to contribute to this project, go here for more information:

* [Splunk and open source][contributions]
* [Individual contributions][indivcontrib]
* [Company contributions][companycontrib]

## Issues & Bug Reports

If you're seeing some unexpected behavior with this project, please create an [issue on GitHub][issues] with the following information:

0. Version of this project you're using (ex: 1.7.1)
0. Platform version (ex: Windows Server 2012)
0. Framework version (ex: Node.js 0.10.37) or Browser (ex: Chrome 43.0.2357.81)
0. Splunk version (ex: 6.2.2)
0. Other relevant information (ex: local/remote environment, Splunk network configuration)

Alternatively, if you have a Splunk question please ask on [Splunk Answers][answers]

## Pull requests

We love to see pull requests!

To create a pull request:

0. Fill out the [Individual Contributor Agreement][indivcontrib].
0. Fork [the repository][repo].
0. Make changes to the **`develop`** branch, preferably with tests.
0. Create a [pull request][pulls] against the **`develop`** branch.

## Contact us

You can reach Splunk support at _support@splunk.com_ if you have Splunk related questions.

You can reach the Developer Platform team at _devinfo@splunk.com_.

[contributions]:            http://dev.splunk.com/view/opensource/SP-CAAAEDM
[indivcontrib]:             http://dev.splunk.com/goto/individualcontributions
[companycontrib]:           http://dev.splunk.com/view/companycontributions/SP-CAAAEDR
[answers]:                  http://answers.splunk.com/
[repo]:                     https://github.com/splunk/splunk-sdk-javascript
[issues]:                   https://github.com/splunk/splunk-sdk-javascript/issues
[pulls]:                    https://github.com/splunk/splunk-sdk-javascript/pulls